package org.agt.module.license.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 角色标识枚举
 */
@Getter
@AllArgsConstructor
public enum LicenseStatusEnum {

    NOT_APPLIED(0, "未申请"),
    IN_APPLICATION(1, "申请中"),
    GENERATING(2, "生成中"),
    COMPLETED(3, "已完成"),
    REAPPLYING(4, "重新申请中"),
    ;

    /**
     * code
     */
    private final Integer code;
    /**
     * name
     */
    private final String name;

}
